package org.jboss.bpm.console.server.util;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

import javax.ws.rs.core.MultivaluedMap;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class DrmsUtil {
	private static final Log log = LogFactory.getLog(DrmsUtil.class);
	private static DrmsUtil self = new DrmsUtil();
	
	private DrmsUtil(){}
	
	public static DrmsUtil self(){
		if( null == self){
			self = new DrmsUtil();
		}
		return self;
	}
	
	public Map<String, Object> getParamsAsMap(MultivaluedMap<String, String> params){
		if(null == params || params.isEmpty()){
			return null;
		}
		Map<String, Object> map = new HashMap<String, Object>(); 
		Set<String> keys = params.keySet();
		for (String key : keys) {
			List<String> values = params.get(key);
			map.put(key, values.get(0));
		}
		System.out.println("DrmsUtil.getParamsAsMap().map="+map);
		log.info("DrmsUtil.getParamsAsMap().map="+map);
 		return map;
	}
}
